# Interface IParameterTypeListener

All Known Implementing Classes:
  `CommandManager`

public interface IParameterTypeListener
An instance of this interface can be used by clients to receive notification of changes to one or more instances of `ParameterType`.

This interface may be implemented by clients.

Since:
  3.2
See Also:
  - `ParameterType.addListener(IParameterTypeListener)`
  - `ParameterType.removeListener(IParameterTypeListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`parameterTypeChanged(ParameterTypeEvent parameterTypeEvent)`
Notifies that one or more properties of an instance of `ParameterType` have changed.

## Method Details

### parameterTypeChanged

void parameterTypeChanged(ParameterTypeEvent parameterTypeEvent)
Notifies that one or more properties of an instance of `ParameterType` have changed. Specific details are described in the `ParameterTypeEvent`.

Parameters:
  `parameterTypeEvent` - the event. Guaranteed not to be `null`.